## QmiClientLoc QmiClientLoc — QmiClient for the LOC service. |

## Signals

void | position-report | Run Last

## Types and Values

struct | QmiClientLoc

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientLoc

## Description

QmiClient which handles operations in the LOC service.

## Functions

## Types and Values

### struct QmiClientLoc

    struct QmiClientLoc;

The QmiClientLoc structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“position-report”` signal

    void
    user_function (QmiClientLoc                         *object,
                   QmiIndicationLocPositionReportOutput *output,
                   gpointer                              user_data)

The ::position-report signal gets emitted when a 'Position Report' indication is received.

#### Parameters

object | A QmiClientLoc. |
output | A QmiIndicationLocPositionReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0